Subject: Re: [PATCH] MAINTAINERS: update phylink/sfp keyword matching

From: Russell King - ARM Linux admin <[email-masked]>
Date: Wed, 5 Aug 2020 23:12:16 +0100

On Wed, Aug 05, 2020 at 03:09:34PM -0700, Joe Perches wrote:
> On Wed, 2020-08-05 at 23:02 +0100, Russell King - ARM Linux admin wrote:
> > On Wed, Aug 05, 2020 at 11:54:25AM -0700, Joe Perches wrote:
> > > On Wed, 2020-08-05 at 19:22 +0100, Russell King - ARM Linux admin wrote:
> > > > On Wed, Aug 05, 2020 at 11:11:28AM -0700, Linus Torvalds wrote:
> > > > > On Wed, Aug 5, 2020 at 7:34 AM Russell King <[email-masked]> wrote:
> > > > > > Is this something you're willing to merge directly please?
> > > > > 
> > > > > Done.
> > > > > 
> > > > > That said:
> > > > > 
> > > > > > -K:     phylink
> > > > > > +K:     phylink\.h|struct\s+phylink|\.phylink|>phylink_|phylink_(autoneg|clear|connect|create|destroy|disconnect|ethtool|helper|mac|mii|of|set|start|stop|test|validate)
> > > > > 
> > > > > That's a very awkward pattern. I wonder if there could be better ways
> > > > > to express this (ie "only apply this pattern to these files" kind of
> > > > > thing)
> > > > 
> > > > Yes, it's extremely awkward - I spent much of the morning with perl
> > > > testing it out on the drivers/ subtree.
> > > 
> > > And perhaps easier to read would be to use multiple K: lines.
> > > (?: used to avoid unnecessary capture groups)
> > > 
> > > K:	phylink\.h|struct\s+phylink
> > > K:	(?:\.|\-\>)phylink_
> > 
> > That one is definitely incorrect.  It is not .phylink_ or ->phylink_,
> > it was .phylink (without _) or >phylink_
> 
> Hi Russell.
> 
> I don't see the difference.
> 
> All uses of .phylink are followed with _
> as far as I can tell.
> 
> $ git grep -Poh "\.phylink\S*"|sort|uniq -c
>       1 .phylink_fixed_state
>       2 .phylink_mac_an_restart
>       9 .phylink_mac_config
>       1 .phylink_mac_config.
>      11 .phylink_mac_link_down
>       6 .phylink_mac_link_state
>       9 .phylink_mac_link_up
>      38 .phylink_validate

Yes, you're right, but as I explained, I got something that works for
me, and I wasn't going to put more effort in.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!